Subject: Re: JFFS2 FS not writeable

From: Scott Wood <[email-masked]>
Date: Thu, 22 May 2008 16:16:05 -0500

Ron Madrid wrote:
> I'm trying to make new directories, create files, save
> changes to files, etc. and when I reboot my changes
> are not being saved.  I'm sorry if this is vague, but
> I haven't run into this problem before in previous
> kernels.  I'm using 2.6.25 and my configuration is
> very similar to mpc8313erdb_defconfig, with changes to
> include NAND support as my flash device is a NAND. 
> Also, my dts is very similar to mpc8313erdb.dts as
> well.  I don't know where to start looking for the
> problem as there is no error.  Here is what is printed
> on boot.

Try head-of-tree; there have been several fixes to the eLBC FCM NAND driver.

-Scott